Loading...
Searching...
No Matches
juce::MidiMessageSequence::MidiEventHolder Class Reference

`#include <juce_MidiMessageSequence.h>`

## Public Attributes

MidiMessage | message
MidiEventHolder * | noteOffObject = nullptr

## Detailed Description

Structure used to hold midi events in the sequence.

These structures act as 'handles' on the events as they are moved about in the list, and make it quick to find the matching note-offs for note-on events.

See also
  MidiMessageSequence::getEventPointer

Definition at line 64 of file juce_MidiMessageSequence.h.

## Member Data Documentation

## message

MidiMessage juce::MidiMessageSequence::MidiEventHolder::message

The message itself, whose timestamp is used to specify the event's time.

Definition at line 69 of file juce_MidiMessageSequence.h.

## noteOffObject

MidiEventHolder* juce::MidiMessageSequence::MidiEventHolder::noteOffObject = nullptr

The matching note-off event (if this is a note-on event).

If this isn't a note-on, this pointer will be nullptr.

Use the MidiMessageSequence::updateMatchedPairs() method to keep these note-offs up-to-date after events have been moved around in the sequence or deleted.

Definition at line 79 of file juce_MidiMessageSequence.h.

The documentation for this class was generated from the following files:

- juce_MidiMessageSequence.h
- juce_MidiMessageSequence.cpp